> For the complete documentation index, see [llms.txt](https://developers.aixchain.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.aixchain.com/http-api/api-list/query-the-network/getblockbyid.md).

# GetBlockById

Query block by ID(block hash).

**BODY PARAMS**

`{`

**`Value`**`int32`

`}`

**Note:**  &#x20;

* **value** is Block ID

**Example:**

```
curl -X POST  https://api.trongrid.io/wallet/getblockbyid -d '{"value": "0000000000458642bba4c9b7c84b5fcc27e9b4204f0e92ac56254a805afb0862"}'
```

<br>

**Input:**&#x20;

`{`

&#x20;`"value":"0000000000458642bba4c9b7c84b5fcc27e9b4204f0e92ac56254a805afb0862"`&#x20;

`}`

**response:**

`{`

&#x20;`"blockID": "0000000000458642bba4c9b7c84b5fcc27e9b4204f0e92ac56254a805afb0862", "block_header": { "raw_data": { "number": 4556354, "txTrieRoot": "0000000000000000000000000000000000000000000000000000000000000000", "witness_address": "412612938e4478f0e7331aa2e42c24690b0ca1d59f", "parentHash": "0000000000458641b18900b9f78ab286857b3801ef862d3d84b78f3b8c0f460a", "version": 21, "timestamp": 1639402152000 }, "witness_signature": "6863e7d523c01aaf7de7b8540868626ebe71a8205c6481706327a72f9aff7b0a2896ea692d07c3bf3ddfba5e2e0128941c453a975016acb0653a00eeb6b0fa5f00" }`

&#x20;`}`
